[arch-commits] Commit in quodlibet/trunk (ChangeLog PKGBUILD quodlibet.install)

Eric Belanger eric at archlinux.org
Sun Aug 10 23:15:53 EDT 2008


    Date: Sunday, August 10, 2008 @ 23:15:52
  Author: eric
Revision: 8430

upgpkg: quodlibet 1.0-3
    Removed unnecessary depends, Fixed manpath to be FHS compliant, Replaced install scriptlet by optdepends, Disabled SMP build, Added ChangeLog

Added:
  quodlibet/trunk/ChangeLog
Modified:
  quodlibet/trunk/PKGBUILD
Deleted:
  quodlibet/trunk/quodlibet.install

-------------------+
 ChangeLog         |    9 +++++++++
 PKGBUILD          |   19 ++++++++++---------
 quodlibet.install |   19 -------------------
 3 files changed, 19 insertions(+), 28 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-08-11 03:15:52 UTC (rev 8430)
@@ -0,0 +1,9 @@
+2008-08-08  Eric Belanger  <eric at archlinux.org>
+
+	* quodlibet 1.0-3
+	* Removed references to splitted gstreamer plugins
+	* Removed unnecessary depends
+	* Fixed manpath to be FHS compliant
+	* Replaced install scriptlet by optdepends
+	* Disabled SMP build
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-11 02:48:10 UTC (rev 8429)
+++ PKGBUILD	2008-08-11 03:15:52 UTC (rev 8430)
@@ -1,22 +1,23 @@
 #$Id$
-#Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
 
 pkgname=quodlibet
 pkgver=1.0
-pkgrel=2
+pkgrel=3
 pkgdesc="An audio player written in pygtk"
+arch=('i686' 'x86_64')
 license=('GPL')
-arch=(i686 x86_64)
 url="http://www.sacredchao.net/quodlibet/"
-depends=('gstreamer0.10-python>=0.10.12' 'gstreamer0.10-base-plugins' 'gstreamer0.10-good-plugins' 'gstreamer0.10-ugly-plugins' 'pymad>=0.5.4-4' 'pyvorbis>=1.4-1' 'mutageni' 'pygtk>=2.12.1')
+depends=('gstreamer0.10-python>=0.10.12' 'gstreamer0.10-base-plugins' 'gstreamer0.10-good-plugins' 'gstreamer0.10-ugly-plugins' 'mutagen' 'pygtk>=2.12.1')
 makedepends=('intltool')
-install=quodlibet.install
+optdepends=('gstreamer0.10-ffmpeg: for ffmpeg (ASF/WMA) support ' 'gstreamer0.10-bad-plugins: for MPEG-4 (AAC) and Musepack support' 'dbus-python: for dbus support' 'libgpod: for ipod support')
+options=('!makeflags')
 source=(http://www.sacredchao.net/~piman/software/${pkgname}-${pkgver}.tar.gz)
 md5sums=('5c925b754bd8505a7a66f2ffcc5b5fe4')
+sha1sums=('9a72043b635448b3d148bd7216a2e00271a926a0')
 
-build()
-{
-  cd ${startdir}/src/${pkgname}-${pkgver}
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
   make extensions || return 1
-  make DESTDIR=${pkgdir} PREFIX=/usr INTLTOOL_EXTRACT=$(which intltool-extract) install || return 1
+  make DESTDIR=${pkgdir} PREFIX=/usr INTLTOOL_EXTRACT=/usr/bin/intltool-extract install || return 1
 }

Deleted: quodlibet.install
===================================================================
--- quodlibet.install	2008-08-11 02:48:10 UTC (rev 8429)
+++ quodlibet.install	2008-08-11 03:15:52 UTC (rev 8430)
@@ -1,19 +0,0 @@
-post_install() {
-  cat << _EOF
-    Quod Libet comes with a limited set of dependencies.
-    By default, Quod Libet comes with MP3 and OGG Vorbis support.
-    To enable extra features, take a look at:
-
-        http://www.sacredchao.net/quodlibet/wiki/Guide/Requirements
-
-    Most of these are available as a package from the repositories
-_EOF
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-op=$1
-shift
-$op $*




More information about the arch-commits mailing list